Submit video generation
Jimeng V3 Vincent/Tusheng video.
POST
/jimeng/submit/videosBody Parametersapplication/json
aspect_ratio* string
Video size enumeration values "1:1", "21:9", "16:9", "9:16", "4:3", "3:4"
cfg_scale* number
Prompt relevance weight, a decimal in the 0~1 range
duration* integer
Video duration enumeration value 5, 10
image_url string
Tusheng Video needs to pass this parameter
prompt* string
prompt word
Responses
200 application/json
response-200 object
On successful submission, returns the task ID (`data`) used for the subsequent `GET /jimeng/fetch/{task_id}` query.
properties code* string
Status code; "success" means the submission succeeded
data* string
Task ID
message* string
Message text
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"aspect_ratio": "16:9",
3"cfg_scale": 0.5,
4"duration": 5,
5"prompt": "一只猫在草地上奔跑"
6}
1curl -X POST "https://api.digislash.com/jimeng/submit/videos" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"aspect_ratio": "16:9",
6"cfg_scale": 0.5,
7"duration": 5,
8"prompt": "一只猫在草地上奔跑"
9}'
1▼{
2"code": "success",
3"data": "cgt-20250829165122-qkwch",
4"message": ""
5}
